@import 'libs/shared/assets/src/global-style/color';

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
  }
}
.btn-import-permission {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  position: fixed;
  top: 134px;
  z-index: 1000;
  right: 25px;
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 44px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    margin: 2px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    color: $black-color;
  }
}

.pagination {
  display: flex;
  align-items: center;
  &__icon {
    min-height: 40px;
    align-items: center;
    display: flex;
    justify-content: flex-end;
    &.ant-pagination {
      margin: 0;
    }
  }
  &__table-info {
    justify-content: flex-start;
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.center {
  align-self: center;
}

.label {
  display: flex;
  justify-content: center;
  align-items: center;
  label {
    display: contents;
  }
}

.content {
  display: flex;
  flex-direction: row;
  & > div {
    padding: 5px;
  }
}

.data-table {
  .ant-table-small .ant-table-thead>tr>th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .ant-table-tbody>tr.ant-table-row:hover>td, .ant-table-tbody>tr>td.ant-table-cell-row-hover {
    background: $hover-table-row;
  }
  .activeRow {
    background-color: $active-color;
    color: $white-color;
    ::ng-deep {
      .ant-table-row-indent+.ant-table-row-expand-icon{
        color: $active-color-button;
      }
    }
    &:hover {
      background-color: $active-color;
      color: $white-color;
      td {
        background-color: $active-color !important;
        color: $white-color;
        button {
          color: $active-color-button;
        }
      }
    }
  }
}
